DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: check logtype format
@ 2021-03-19 20:37 David Marchand
  2021-03-20  7:26 ` Thomas Monjalon
  2021-05-11  9:46 ` David Marchand
  0 siblings, 2 replies; 4+ messages in thread
From: David Marchand @ 2021-03-19 20:37 UTC (permalink / raw)
  To: dev; +Cc: Thomas Monjalon

Enforce that added logtypes follow the convention:
- for lib/librte_XXX: lib.XXX and lib.XXX.*
- for drivers/class/XXX: pmd.class.XXX and pmd.class.XXX.*

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 devtools/checkpatches.sh | 44 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

diff --git a/devtools/checkpatches.sh b/devtools/checkpatches.sh
index 78a408ef98..11ad4bee8d 100755
--- a/devtools/checkpatches.sh
+++ b/devtools/checkpatches.sh
@@ -199,6 +199,42 @@ check_internal_tags() { # <patch>
 	return $res
 }
 
+check_logtypes() { # <patch>
+	res=0
+
+	cat "$1" |awk '
+	BEGIN {
+		pattern = "";
+		ret = 0;
+	}
+	/^+++ b\// {
+		count = split($2, path, "/")
+		if (count >= 4 && path[2] == "lib") {
+			pattern = "lib\\." gensub(/librte_(.*)/, "\\1", "", path[3])
+		} else if (count >= 5 && path[2] == "drivers") {
+			pattern = "pmd\\." path[3] "\\." path[4]
+		} else {
+			pattern = "";
+		}
+	}
+	/^+.*RTE_LOG_REGISTER\([^,]+,[^,]+,/ {
+		if (pattern == "") {
+			next;
+		}
+		if (!($0 ~ "RTE_LOG_REGISTER\\([^,]+, " pattern "(|\\.[^,]+),")) {
+			print $0
+			print "Added logtype does not comply with pattern: " \
+				gensub(/\\/, "", "g", pattern)
+			ret = 1;
+		}
+	}
+	END {
+		exit ret;
+	}' || res=1
+
+	return $res
+}
+
 number=0
 range='origin/main..'
 quiet=false
@@ -290,6 +326,14 @@ check () { # <patch> <commit> <title>
 		ret=1
 	fi
 
+	! $verbose || printf '\nChecking RTE_LOG_REGISTER:\n'
+	report=$(check_logtypes "$tmpinput")
+	if [ $? -ne 0 ] ; then
+		$headline_printed || print_headline "$3"
+		printf '%s\n' "$report"
+		ret=1
+	fi
+
 	if [ "$tmpinput" != "$1" ]; then
 		rm -f "$tmpinput"
 		trap - INT
-- 
2.23.0


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: check logtype format
  2021-03-19 20:37 [dpdk-dev] [PATCH] devtools: check logtype format David Marchand
@ 2021-03-20  7:26 ` Thomas Monjalon
  2021-03-21 20:33   ` Andrew Rybchenko
  2021-05-11  9:46 ` David Marchand
  1 sibling, 1 reply; 4+ messages in thread
From: Thomas Monjalon @ 2021-03-20  7:26 UTC (permalink / raw)
  To: David Marchand; +Cc: dev

19/03/2021 21:37, David Marchand:
> Enforce that added logtypes follow the convention:
> - for lib/librte_XXX: lib.XXX and lib.XXX.*
> - for drivers/class/XXX: pmd.class.XXX and pmd.class.XXX.*

What about common drivers which skip the "common" part: pmd.XXX?




^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: check logtype format
  2021-03-20  7:26 ` Thomas Monjalon
@ 2021-03-21 20:33   ` Andrew Rybchenko
  0 siblings, 0 replies; 4+ messages in thread
From: Andrew Rybchenko @ 2021-03-21 20:33 UTC (permalink / raw)
  To: Thomas Monjalon, David Marchand; +Cc: dev

On 3/20/21 10:26 AM, Thomas Monjalon wrote:
> 19/03/2021 21:37, David Marchand:
>> Enforce that added logtypes follow the convention:
>> - for lib/librte_XXX: lib.XXX and lib.XXX.*
>> - for drivers/class/XXX: pmd.class.XXX and pmd.class.XXX.*
> 
> What about common drivers which skip the "common" part: pmd.XXX?

I'd vote to keep it.



^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: check logtype format
  2021-03-19 20:37 [dpdk-dev] [PATCH] devtools: check logtype format David Marchand
  2021-03-20  7:26 ` Thomas Monjalon
@ 2021-05-11  9:46 ` David Marchand
  1 sibling, 0 replies; 4+ messages in thread
From: David Marchand @ 2021-05-11  9:46 UTC (permalink / raw)
  To: dev; +Cc: Thomas Monjalon, Andrew Rybchenko

On Fri, Mar 19, 2021 at 9:38 PM David Marchand
<david.marchand@redhat.com> wrote:
>
> Enforce that added logtypes follow the convention:
> - for lib/librte_XXX: lib.XXX and lib.XXX.*
> - for drivers/class/XXX: pmd.class.XXX and pmd.class.XXX.*

As discussed offlist, I dropped this idea.

Instead we can use helpers that provide standardized logtype names.
For interested parties, the thread for this approach is at:
https://inbox.dpdk.org/dev/20210409124334.24479-1-david.marchand@redhat.com/


-- 
David Marchand


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-05-11  9:47 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-03-19 20:37 [dpdk-dev] [PATCH] devtools: check logtype format David Marchand
2021-03-20  7:26 ` Thomas Monjalon
2021-03-21 20:33   ` Andrew Rybchenko
2021-05-11  9:46 ` David Marchand

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).